Ignore:
Timestamp:
Oct 15, 2013 5:06:12 PM (7 years ago)
Author:
stefan
Message:

revert r2394:HEAD - releases are not to be modified

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Metis/trunk/configure

    r2970 r2985  
    10621062                          (implies --disable-shared)
    10631063  --enable-debug-metis compile project Metis with debug compiler flags
    1064 
    1065   --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
     1064  --enable-doscompile     Under Cygwin, compile so that executables run under
     1065                          DOS. Set to mingw to use gcc/g++/ld with
     1066                          -mno-cygwin. Set to msvc to use cl/link (or
     1067                          icl/link). Default when mentioned: mingw. Default
     1068                          when not mentioned: disabled.
    10661069  --disable-pkg-config    disable use of pkg-config (if available)
    10671070  --enable-static[=PKGS]
     
    18511854
    18521855# Get the name of the C compiler
    1853 
    1854 
    1855   # for backward compatibility
    1856   # Check whether --enable-doscompile or --disable-doscompile was given.
    1857 if test "${enable_doscompile+set}" = set; then
    1858   enableval="$enable_doscompile"
    1859   enable_doscompile=$enableval
    1860 else
    1861   enable_doscompile=no
    1862 fi;
    1863 
    1864   # Check whether --enable-msvc or --disable-msvc was given.
    1865 if test "${enable_msvc+set}" = set; then
    1866   enableval="$enable_msvc"
    1867   enable_msvc=$enableval
    1868 else
    1869   enable_msvc=no
    1870      if test "$enable_doscompile" = msvc ; then
    1871        enable_msvc=yes
    1872      elif test "$enable_doscompile" != no ; then
    1873        { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
    1874 echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
    1875    { (exit 1); exit 1; }; }
    1876      fi
    1877 
    1878 fi;
    1879 
    1880   if test "$enable_msvc" = yes; then
    1881     case $build in
    1882       *-cygwin* | *-mingw*) ;;
    1883       *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
    1884 echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
    1885    { (exit 1); exit 1; }; } ;;
    1886     esac
    1887   fi
    1888 
    1889 
    1890  case $build in
     1856case $build in
    18911857  *-mingw*)
    18921858    if test "${LD+set}" = set; then :; else
     
    18951861    ;;
    18961862 esac
    1897  if test $enable_msvc = yes ; then
    1898    if test "x${LD+set}" = xset; then :; else
    1899      LD=link
     1863 case $enable_doscompile in
     1864   msvc)
     1865     if test "x${LD+set}" = xset; then :; else
     1866       LD=link
     1867     fi
     1868     ;;
     1869 esac
     1870
     1871
     1872 # Check whether --enable-doscompile or --disable-doscompile was given.
     1873if test "${enable_doscompile+set}" = set; then
     1874  enableval="$enable_doscompile"
     1875  if test "$enable_doscompile" != no; then
     1876     case $build in
     1877       *-cygwin* | *-mingw*) ;;
     1878       *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
     1879echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
     1880   { (exit 1); exit 1; }; } ;;
     1881     esac
    19001882   fi
    1901  fi
    1902 
    1903 
    1904 # Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
    1905 if test "${enable_static_standardlibs+set}" = set; then
    1906   enableval="$enable_static_standardlibs"
    1907   case "$enableval" in
    1908      no | yes | auto ) ;;
    1909      *)
    1910        { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
    1911 echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
    1912    { (exit 1); exit 1; }; } ;;
    1913    esac
    1914    use_static_standardlibs=$enableval
    1915 else
    1916   use_static_standardlibs=no
     1883else
     1884  enable_doscompile=no
    19171885fi;
    1918 
     1886 case "$enable_doscompile" in
     1887   mingw)
     1888     case $build in
     1889       *-mingw*) enable_doscompile=no ;;
     1890     esac
     1891     ;;
     1892   msvc|no) ;;
     1893   yes) enable_doscompile=mingw ;;
     1894   *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
     1895                    Try configure --help=recursive." >&5
     1896echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
     1897                    Try configure --help=recursive." >&2;}
     1898   { (exit 1); exit 1; }; }
     1899      ;;
     1900  esac
     1901  if test "$enable_doscompile" != no ; then
     1902    { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
     1903echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
     1904  fi
    19191905
    19201906
     
    19591945case $build in
    19601946  *-cygwin* | *-mingw*)
    1961              if test "$enable_msvc" = yes ; then
    1962                comps="icl cl gcc"
     1947             if test "$enable_doscompile" = msvc ; then
     1948               comps="icl cl"
    19631949             else
    1964                comps="gcc icl cl"
     1950               comps="gcc cl"
    19651951             fi ;;
    19661952  *-*-solaris*)
     
    28152801            ;;
    28162802        esac
     2803        case $enable_doscompile in
     2804          mingw)
     2805            CFLAGS="-mno-cygwin"
     2806            cat >conftest.$ac_ext <<_ACEOF
     2807/* confdefs.h.  */
     2808_ACEOF
     2809cat confdefs.h >>conftest.$ac_ext
     2810cat >>conftest.$ac_ext <<_ACEOF
     2811/* end confdefs.h.  */
     2812
     2813int
     2814main ()
     2815{
     2816int i=0; i++;
     2817  ;
     2818  return 0;
     2819}
     2820_ACEOF
     2821rm -f conftest.$ac_objext conftest$ac_exeext
     2822if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     2823  (eval $ac_link) 2>conftest.er1
     2824  ac_status=$?
     2825  grep -v '^ *+' conftest.er1 >conftest.err
     2826  rm -f conftest.er1
     2827  cat conftest.err >&5
     2828  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2829  (exit $ac_status); } &&
     2830         { ac_try='test -z "$ac_c_werror_flag"
     2831                         || test ! -s conftest.err'
     2832  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2833  (eval $ac_try) 2>&5
     2834  ac_status=$?
     2835  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2836  (exit $ac_status); }; } &&
     2837         { ac_try='test -s conftest$ac_exeext'
     2838  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2839  (eval $ac_try) 2>&5
     2840  ac_status=$?
     2841  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2842  (exit $ac_status); }; }; then
     2843  coin_add_cflags="-mno-cygwin $coin_add_cflags"
     2844else
     2845  echo "$as_me: failed program was:" >&5
     2846sed 's/^/| /' conftest.$ac_ext >&5
     2847
     2848fi
     2849rm -f conftest.err conftest.$ac_objext \
     2850      conftest$ac_exeext conftest.$ac_ext
     2851            CFLAGS=
     2852          ;;
     2853        esac
    28172854    esac
    28182855  fi
     
    30053042    CFLAGS="$OPT_CFLAGS"
    30063043  fi
    3007 
    30083044else
    30093045  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    31563192  clang* ) ;;
    31573193  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3158 
    3159  case $build in
     3194    case $build in
    31603195  *-mingw*)
    31613196    if test "${LD+set}" = set; then :; else
     
    31643199    ;;
    31653200 esac
    3166  if test $enable_msvc = yes ; then
    3167    if test "x${LD+set}" = xset; then :; else
    3168      LD=link
    3169    fi
    3170  fi
     3201 case $enable_doscompile in
     3202   msvc)
     3203     if test "x${LD+set}" = xset; then :; else
     3204       LD=link
     3205     fi
     3206     ;;
     3207 esac
    31713208
    31723209    ;;
    31733210esac
    3174 
    3175 # check whether to add flags for static linking against standard libraries to LDFLAGS
    3176 if test x$use_static_standardlibs != xno ; then
    3177   case $build in
    3178     *-mingw*)
    3179       static_standardlib_flag=-static
    3180       ;;
    3181     *)
    3182       static_standardlib_flag=-static-libgcc
    3183       ;;
    3184   esac
    3185   case " $LDFLAGS " in
    3186     *" $static_standardlib_flag "* ) ;;
    3187     *)
    3188     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    3189 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    3190     coin_save_LDFLAGS="$LDFLAGS"
    3191     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    3192     cat >conftest.$ac_ext <<_ACEOF
    3193 /* confdefs.h.  */
    3194 _ACEOF
    3195 cat confdefs.h >>conftest.$ac_ext
    3196 cat >>conftest.$ac_ext <<_ACEOF
    3197 /* end confdefs.h.  */
    3198 
    3199 int
    3200 main ()
    3201 {
    3202 int i=0;
    3203   ;
    3204   return 0;
    3205 }
    3206 _ACEOF
    3207 rm -f conftest.$ac_objext conftest$ac_exeext
    3208 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3209   (eval $ac_link) 2>conftest.er1
    3210   ac_status=$?
    3211   grep -v '^ *+' conftest.er1 >conftest.err
    3212   rm -f conftest.er1
    3213   cat conftest.err >&5
    3214   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3215   (exit $ac_status); } &&
    3216          { ac_try='test -z "$ac_c_werror_flag"
    3217                          || test ! -s conftest.err'
    3218   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3219   (eval $ac_try) 2>&5
    3220   ac_status=$?
    3221   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3222   (exit $ac_status); }; } &&
    3223          { ac_try='test -s conftest$ac_exeext'
    3224   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3225   (eval $ac_try) 2>&5
    3226   ac_status=$?
    3227   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3228   (exit $ac_status); }; }; then
    3229   echo "$as_me:$LINENO: result: yes" >&5
    3230 echo "${ECHO_T}yes" >&6
    3231 else
    3232   echo "$as_me: failed program was:" >&5
    3233 sed 's/^/| /' conftest.$ac_ext >&5
    3234 
    3235 echo "$as_me:$LINENO: result: no" >&5
    3236 echo "${ECHO_T}no" >&6
    3237        LDFLAGS="$coin_save_LDFLAGS"
    3238        if test $use_static_standardlibs = yes ; then
    3239          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    3240 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    3241    { (exit 1); exit 1; }; }
    3242        fi
    3243 
    3244 fi
    3245 rm -f conftest.err conftest.$ac_objext \
    3246       conftest$ac_exeext conftest.$ac_ext
    3247     ;;
    3248   esac
    3249 fi
    32503211
    32513212ac_ext=c
     
    51065067*-*-irix6*)
    51075068  # Find out which ABI we are using.
    5108   echo '#line 5108 "configure"' > conftest.$ac_ext
     5069  echo '#line 5069 "configure"' > conftest.$ac_ext
    51095070  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    51105071  (eval $ac_compile) 2>&5
     
    67056666
    67066667# Provide some information about the compiler.
    6707 echo "$as_me:6707:" \
     6668echo "$as_me:6668:" \
    67086669     "checking for Fortran 77 compiler version" >&5
    67096670ac_compiler=`set X $ac_compile; echo $2`
     
    77727733   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    77737734   -e 's:$: $lt_compiler_flag:'`
    7774    (eval echo "\"\$as_me:7774: $lt_compile\"" >&5)
     7735   (eval echo "\"\$as_me:7735: $lt_compile\"" >&5)
    77757736   (eval "$lt_compile" 2>conftest.err)
    77767737   ac_status=$?
    77777738   cat conftest.err >&5
    7778    echo "$as_me:7778: \$? = $ac_status" >&5
     7739   echo "$as_me:7739: \$? = $ac_status" >&5
    77797740   if (exit $ac_status) && test -s "$ac_outfile"; then
    77807741     # The compiler can only warn and ignore the option if not recognized
     
    80408001   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    80418002   -e 's:$: $lt_compiler_flag:'`
    8042    (eval echo "\"\$as_me:8042: $lt_compile\"" >&5)
     8003   (eval echo "\"\$as_me:8003: $lt_compile\"" >&5)
    80438004   (eval "$lt_compile" 2>conftest.err)
    80448005   ac_status=$?
    80458006   cat conftest.err >&5
    8046    echo "$as_me:8046: \$? = $ac_status" >&5
     8007   echo "$as_me:8007: \$? = $ac_status" >&5
    80478008   if (exit $ac_status) && test -s "$ac_outfile"; then
    80488009     # The compiler can only warn and ignore the option if not recognized
     
    81448105   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    81458106   -e 's:$: $lt_compiler_flag:'`
    8146    (eval echo "\"\$as_me:8146: $lt_compile\"" >&5)
     8107   (eval echo "\"\$as_me:8107: $lt_compile\"" >&5)
    81478108   (eval "$lt_compile" 2>out/conftest.err)
    81488109   ac_status=$?
    81498110   cat out/conftest.err >&5
    8150    echo "$as_me:8150: \$? = $ac_status" >&5
     8111   echo "$as_me:8111: \$? = $ac_status" >&5
    81518112   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    81528113   then
     
    1048910450  lt_status=$lt_dlunknown
    1049010451  cat > conftest.$ac_ext <<EOF
    10491 #line 10491 "configure"
     10452#line 10452 "configure"
    1049210453#include "confdefs.h"
    1049310454
     
    1058910550  lt_status=$lt_dlunknown
    1059010551  cat > conftest.$ac_ext <<EOF
    10591 #line 10591 "configure"
     10552#line 10552 "configure"
    1059210553#include "confdefs.h"
    1059310554
     
    1293312894   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1293412895   -e 's:$: $lt_compiler_flag:'`
    12935    (eval echo "\"\$as_me:12935: $lt_compile\"" >&5)
     12896   (eval echo "\"\$as_me:12896: $lt_compile\"" >&5)
    1293612897   (eval "$lt_compile" 2>conftest.err)
    1293712898   ac_status=$?
    1293812899   cat conftest.err >&5
    12939    echo "$as_me:12939: \$? = $ac_status" >&5
     12900   echo "$as_me:12900: \$? = $ac_status" >&5
    1294012901   if (exit $ac_status) && test -s "$ac_outfile"; then
    1294112902     # The compiler can only warn and ignore the option if not recognized
     
    1303712998   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1303812999   -e 's:$: $lt_compiler_flag:'`
    13039    (eval echo "\"\$as_me:13039: $lt_compile\"" >&5)
     13000   (eval echo "\"\$as_me:13000: $lt_compile\"" >&5)
    1304013001   (eval "$lt_compile" 2>out/conftest.err)
    1304113002   ac_status=$?
    1304213003   cat out/conftest.err >&5
    13043    echo "$as_me:13043: \$? = $ac_status" >&5
     13004   echo "$as_me:13004: \$? = $ac_status" >&5
    1304413005   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1304513006   then
     
    1460714568   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1460814569   -e 's:$: $lt_compiler_flag:'`
    14609    (eval echo "\"\$as_me:14609: $lt_compile\"" >&5)
     14570   (eval echo "\"\$as_me:14570: $lt_compile\"" >&5)
    1461014571   (eval "$lt_compile" 2>conftest.err)
    1461114572   ac_status=$?
    1461214573   cat conftest.err >&5
    14613    echo "$as_me:14613: \$? = $ac_status" >&5
     14574   echo "$as_me:14574: \$? = $ac_status" >&5
    1461414575   if (exit $ac_status) && test -s "$ac_outfile"; then
    1461514576     # The compiler can only warn and ignore the option if not recognized
     
    1471114672   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1471214673   -e 's:$: $lt_compiler_flag:'`
    14713    (eval echo "\"\$as_me:14713: $lt_compile\"" >&5)
     14674   (eval echo "\"\$as_me:14674: $lt_compile\"" >&5)
    1471414675   (eval "$lt_compile" 2>out/conftest.err)
    1471514676   ac_status=$?
    1471614677   cat out/conftest.err >&5
    14717    echo "$as_me:14717: \$? = $ac_status" >&5
     14678   echo "$as_me:14678: \$? = $ac_status" >&5
    1471814679   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1471914680   then
     
    1691816879   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1691916880   -e 's:$: $lt_compiler_flag:'`
    16920    (eval echo "\"\$as_me:16920: $lt_compile\"" >&5)
     16881   (eval echo "\"\$as_me:16881: $lt_compile\"" >&5)
    1692116882   (eval "$lt_compile" 2>conftest.err)
    1692216883   ac_status=$?
    1692316884   cat conftest.err >&5
    16924    echo "$as_me:16924: \$? = $ac_status" >&5
     16885   echo "$as_me:16885: \$? = $ac_status" >&5
    1692516886   if (exit $ac_status) && test -s "$ac_outfile"; then
    1692616887     # The compiler can only warn and ignore the option if not recognized
     
    1718617147   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1718717148   -e 's:$: $lt_compiler_flag:'`
    17188    (eval echo "\"\$as_me:17188: $lt_compile\"" >&5)
     17149   (eval echo "\"\$as_me:17149: $lt_compile\"" >&5)
    1718917150   (eval "$lt_compile" 2>conftest.err)
    1719017151   ac_status=$?
    1719117152   cat conftest.err >&5
    17192    echo "$as_me:17192: \$? = $ac_status" >&5
     17153   echo "$as_me:17153: \$? = $ac_status" >&5
    1719317154   if (exit $ac_status) && test -s "$ac_outfile"; then
    1719417155     # The compiler can only warn and ignore the option if not recognized
     
    1729017251   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1729117252   -e 's:$: $lt_compiler_flag:'`
    17292    (eval echo "\"\$as_me:17292: $lt_compile\"" >&5)
     17253   (eval echo "\"\$as_me:17253: $lt_compile\"" >&5)
    1729317254   (eval "$lt_compile" 2>out/conftest.err)
    1729417255   ac_status=$?
    1729517256   cat out/conftest.err >&5
    17296    echo "$as_me:17296: \$? = $ac_status" >&5
     17257   echo "$as_me:17257: \$? = $ac_status" >&5
    1729717258   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1729817259   then
     
    2045620417echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2045720418coin_link_input_cmd="$LN_S"
     20419if test "$enable_doscompile" = mingw; then
     20420  coin_link_input_cmd=cp
     20421fi
    2045820422case "$CC" in
    2045920423  clang* ) ;;
Note: See TracChangeset for help on using the changeset viewer.